## monitoring-plugins 2.3.1

=== debian/changelog ===
monitoring-plugins (2.3.1-1ubuntu4) jammy; urgency=medium

  * d/p/exclude-tmpfs-squashfs-tracefs.patch: Adding synthetic filesystems
    for exclusion only if they have not been included and no mount point
    has been provided in command line. Re-implementing solution for
    LP bug 1827159. (LP: #1940916).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 02 Feb 2022 13:35:26 +0100

monitoring-plugins (2.3.1-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:39:50 +0000

monitoring-plugins (2.3.1-1ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:53:58 -0400

monitoring-plugins (2.3.1-1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity.
      (LP 1827159)
    - d/p/check_http_socket_timeouts.patch: fix check_http
      + was having constant socket timeouts (LP #1875517)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 09 Jun 2021 13:36:27 -0700

monitoring-plugins (2.3.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Jan Wagner <waja@cyconet.org>  Thu, 22 Apr 2021 12:41:33 +0200

monitoring-plugins (2.3.1-1~exp2) experimental; urgency=medium

  * [eb7432c] Adding d/p/10_check_curl_header fixing HTTP_ heqders
  * [363955f] Adding d/p/03_epn disable epn in check_disk_smb

 -- Jan Wagner <waja@cyconet.org>  Tue, 13 Apr 2021 13:05:28 +0200

monitoring-plugins (2.3.1-1~exp1) experimental; urgency=medium

  * [09f4277] New upstream version 2.3.1 (Closes: #982847, #886888, #950921)

 -- Jan Wagner <waja@cyconet.org>  Sun, 11 Apr 2021 12:21:37 +0100
