=== debian/control ===
Source: monitoring-plugins
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Jan Wagner <waja@cyconet.org>, Alexander Wirt <formorer@debian.org>
Build-Depends: debhelper (>= 10~),
               libcurl4-openssl-dev | libcurl4-nss-dev (>= 7.34) | libcurl4-gnutls-dev (>= 7.42),
               libdbi-dev,
               libradcli-dev | libfreeradius-client-dev | libradiusclient-ng-dev,
               libkrb5-dev,
               libldap2-dev,
               default-libmysqlclient-dev,
               libnet-snmp-perl,
               libpq-dev,
               libssl-dev,
               liburiparser-dev,
               mawk | awk,
               perl,
               procps
Homepage: https://www.monitoring-plugins.org
Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins
Vcs-Git: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins.git
Standards-Version: 4.5.1

Package: monitoring-plugins
Architecture: all
Depends: monitoring-plugins-basic, monitoring-plugins-standard, ${misc:Depends}
Suggests: icinga2, nagios-plugins-contrib
Provides: nagios-plugins
Description: Plugins for nagios compatible monitoring systems (metapackage)
 Plugins for nagios compatible monitoring systems like Naemon and Icinga.
 .
 This metapackage will install the entire suite of plugins for nagios
 compatible monitoring systems.
 If you are installing monitoring plugins on a remote "satellite" server
 (using nagios-nrpe-server or nsca), you may be interested in the
 monitoring-plugins-basic package.

Package: monitoring-plugins-common
Architecture: any
Depends: ucf, ${misc:Depends}, ${shlibs:Depends}
Suggests: icinga2
Description: Common files for plugins for nagios compatible monitoring
 Common files for plugins for nagios compatible monitoring systems like Naemon
 and Icinga.
 .
 This package contains common files which maybe needed for plugins.

Package: monitoring-plugins-basic
Architecture: any
Depends: inetutils-ping (>= 2:1.9-1~) [kfreebsd-any hurd-any],
         iputils-ping [linux-any],
         monitoring-plugins-common,
         procps,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcap2-bin [linux-any]
Suggests: icinga2
Provides: nagios-plugins-basic
Description: Plugins for nagios compatible monitoring systems (basic)
 Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
 contains the following plugins:
 .
  check_apt, check_by_ssh, check_clamd, check_cluster,
  check_dhcp, check_disk, check_dummy, check_file_age,
  check_ftp, check_host, check_http, check_icmp,
  check_ide_smart, check_imap, check_ircd, check_jabber,
  check_load, check_log, check_mrtg, check_mrtgtraf,
  check_nagios, check_nntp, check_nntps, check_nt,
  check_ntp, check_ntp_peer, check_ntp_time, check_nwstat,
  check_overcr,  check_ping, check_pop, check_procs,
  check_real, check_rta_multi, check_sensors, check_simap,
  check_smtp, check_spop, check_ssh, check_ssmtp,
  check_swap, check_tcp, check_time, check_udp,
  check_ups, check_users
 .
 This package provides a basic set of plugins with minimal external
 dependencies.  It is not likely to be useful by itself unless you are
 using a remote "satellite" system (using nagios-nrpe-server, check_by_ssh or
 nsca, for example).

Package: monitoring-plugins-standard
Architecture: any
Depends: monitoring-plugins-basic, ucf, ${misc:Depends}, ${shlibs:Depends}
Recommends: bind9-host | host,
            dnsutils,
            libnet-snmp-perl,
            rpcbind,
            smbclient,
            snmp,
            sudo,
            ${shlibs:Recommends}
Suggests: fping,
          icinga2,
          postfix | sendmail-bin | exim4-daemon-heavy | exim4-daemon-light,
          qstat
Provides: nagios-plugins-standard
Description: Plugins for nagios compatible monitoring systems (standard)
 Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
 contains the following plugins:
 .
  check_breeze, check_dbi, check_dig, check_disk_smb, check_dns,
  check_flexlm, check_fping, check_game, check_hpjd, check_ifoperstatus,
  check_ifstatus, check_ldap, check_ldaps, check_mailq, check_mysql,
  check_mysql_query, check_oracle, check_pgsql, check_radius, check_rpc,
  check_snmp, check_wave
 .
 This package provides the suite of plugins that are most likely to be
 useful on a central monitoring host. Some scripts need more packages installed
 to work, which is implemented as recommends.
