## monitoring-plugins 2.3.2

=== debian/changelog ===
monitoring-plugins (2.3.2-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1946874). Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)
    - d/p/check_http_socket_timeouts.patch: fix check_http
      that was having constant socket timeouts.
      (LP #1875517)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 09 Dec 2022 17:43:21 -0800

monitoring-plugins (2.3.2-1) unstable; urgency=medium

  * [1fe8724] d/control: remove deprecated libradiusclient-ng-dev from build-deps
  * [9e92541] d/rules: Fix debhelper compat 12 by using '-a' instead '-s'
  * [eb27aa7] Adding d/p/13_check_http_fix_superflous_crlf (Closes: #913142)
  * [6cf0b31] Remove constraints unnecessary since buster
  * [21323d2] New upstream version 2.3.2 (Closes: #800345, #997849)
  * [91105f7] Drop patches integrated upstream

 -- Jan Wagner <waja@cyconet.org>  Fri, 21 Oct 2022 11:41:42 +0200
