=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Jan Wagner <waja@cyconet.org>, Alexander Wirt <formorer@debian.org>
-Build-Depends: debhelper (>= 10~),
-               libcurl4-openssl-dev | libcurl4-nss-dev (>= 7.34) | libcurl4-gnutls-dev (>= 7.42),
+Build-Depends: debhelper-compat (= 12),
+               libcurl4-openssl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
                libdbi-dev,
-               libradcli-dev | libfreeradius-client-dev | libradiusclient-ng-dev,
+               libradcli-dev | libfreeradius-client-dev,
                libkrb5-dev,
                libldap2-dev,
                default-libmysqlclient-dev,
@@ -21,7 +21,7 @@
 Homepage: https://www.monitoring-plugins.org
 Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins
 Vcs-Git: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 
 Package: monitoring-plugins
 Architecture: all
@@ -49,7 +49,7 @@
 
 Package: monitoring-plugins-basic
 Architecture: any
-Depends: inetutils-ping (>= 2:1.9-1~) [kfreebsd-any hurd-any],
+Depends: inetutils-ping [kfreebsd-any hurd-any],
          iputils-ping [linux-any],
          monitoring-plugins-common,
          procps,
