=== debian/rules ===
--- 
+++ 
@@ -205,19 +205,19 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	dh_testdir -s
-	dh_testroot -s
-	dh_installchangelogs -p monitoring-plugins-basic -s ChangeLog
+	dh_testdir -a
+	dh_testroot -a
+	dh_installchangelogs -p monitoring-plugins-basic -a ChangeLog
 	dh_installchangelogs -Nmonitoring-plugins-basic
-	dh_installdocs -s
-	dh_link -s
-	dh_installexamples -s
-	dh_installman -s
-	dh_strip -s
-	dh_compress -s
-	dh_fixperms -s -X utils.pm
-	dh_installdeb -s
-	dh_shlibdeps -s -Nmonitoring-plugins-standard
+	dh_installdocs -a
+	dh_link -a
+	dh_installexamples -a
+	dh_installman -a
+	dh_strip -a
+	dh_compress -a
+	dh_fixperms -a -X utils.pm
+	dh_installdeb -a
+	dh_shlibdeps -a -Nmonitoring-plugins-standard
 	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars \
 		${NP_STD_DIR}/${NP_LIBEXEC}/check_dns
 	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars.in \
@@ -225,8 +225,8 @@
 	grep shlibs:Suggests debian/monitoring-plugins-standard.substvars.in \
 		| sed -e 's/shlibs:Suggests/shlibs:Recommends/' \
 		>> debian/monitoring-plugins-standard.substvars
-	dh_gencontrol -s
-	dh_md5sums -s
-	dh_builddeb -s
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
