=== debian/changelog ===
monitoring-plugins (2.3.3-5+deb12u2) bookworm; urgency=medium

  * [c45bc15] Adding d/p/23_check_http_fix_unchunking_body from upstream
    (Closes: #1061956)

 -- Jan Wagner <waja@cyconet.org>  Wed, 31 Jan 2024 09:40:18 +0100

monitoring-plugins (2.3.3-5+deb12u1) bookworm; urgency=medium

  * [85eed74] Adding d/p/22_check_disk_avoid_mount from upstream
    (Closes: #1051768)

 -- Jan Wagner <waja@cyconet.org>  Tue, 19 Sep 2023 07:54:14 +0200

monitoring-plugins (2.3.3-5) unstable; urgency=medium

  * [6fb8e25] Adding d/p/14_check_curl_fix_SSL_with_multiple_IPs from upstream
  * [eab1e1d] Adding d/p/15_check_swap_remove_includes from upstream
  * [3ede347] Adding d/p/16_check_snmp_disable_multiplier_when_unused from upstream

 -- Jan Wagner <waja@cyconet.org>  Thu, 30 Mar 2023 08:51:53 +0000

monitoring-plugins (2.3.3-4) unstable; urgency=medium

  * [953ee52] Adding d/p/13_check_icmp_improvements from upstream

 -- Jan Wagner <waja@cyconet.org>  Tue, 07 Mar 2023 13:29:35 +0000

monitoring-plugins (2.3.3-3) unstable; urgency=medium

  * [15d0c56] Adding d/p/12_check_curl_improvements from upstream

 -- Jan Wagner <waja@cyconet.org>  Fri, 24 Feb 2023 12:55:11 +0000

monitoring-plugins (2.3.3-2) unstable; urgency=high

  * [01c9312] Adding d/p/10_check_http_chunked_wo_actual_content from upstream
  * [c1f3ca7] Adding d/p/11_fallback_for_gnutls from upstream

 -- Jan Wagner <waja@cyconet.org>  Fri, 10 Feb 2023 10:16:38 +0000

monitoring-plugins (2.3.3-1) unstable; urgency=medium

  * [e7bdd1c] New upstream version 2.3.3
  * [c31ba97] Drop patches applied upstream

 -- Jan Wagner <waja@cyconet.org>  Thu, 02 Feb 2023 09:36:44 +0000

monitoring-plugins (2.3.2-3) unstable; urgency=high

  * [62a3be0] Adding d/p/31_check_http_fix_memory_alloc_error_chunk_decod from
    upstream (Closes: #1029934)

 -- Jan Wagner <waja@cyconet.org>  Tue, 31 Jan 2023 13:13:58 +0000

monitoring-plugins (2.3.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [32fba01] Bump Standards-Version to 4.6.1, no changes.

  [ Jan Wagner ]
  * [5a11a70] Adding upstream patches fixing (u)int64_t on 32-bit machines
    (Closes: #1023280)
  * [2a90f45] Adding github actions
  * [7d0e34a] Use testing, since unstable has large transition ongoing
  * [0543e43] only removing github stuff
  * [1e0e230] Adding d/patches/16_check_pgsql_dbname_too_strict
    (Closes: ##982847)
  * [b61a8ea] Update d/patch/13_check_http_fix_superflous_crlf
  * [73bd381] Adding d/p/17_check_curl_detect_ipv6

  [ Bas Couwenberg ]
  * [d6b03fd] Add Rules-Requires-Root to control file.

  [ Jan Wagner ]
  * [08ddb1e] d/control: Drop 'pkg-' from Vcs-Headers
  * [76475e9] Adding d/p/18_check_icmp_help from upstream
  * [f625b1e] Adding d/p/19_check_disk_fs_usage from upstream
  * [f9e79de] Adding d/p/20_check_apt_unknown_escape_sequence
  * [f95110e] Adding d/p/21_check_http_faster_with_large_files from upstream
  * [d4c9e0b] Adding d/p/22_check_curl_faster_with_large_files from upstream
  * [c662b29] Adding gitlab CI
  * [95eeed8] Adding d/p/24_check_apt_usage from upstream
  * [298c20a] Bump debhelper from old 12 to 13.
  * [ab165de] Update standards version to 4.6.2, no changes needed.
  * [f064e9b] Adding d/p/23_check_http_chunked_encoding from upstream
  * [f503139] d/README.Debian: Fix typo
  * [ccc552b] Adding d/p/25_spell_fixes from upstream
  * [405406d] d/rules: Set DH_VERBOSE=1
  * [ff160b6] Adding d/p/26_check_mailq_fix_nullmailer_regex from upstream
    (Closes: #1019406)
  * [e99bd7b] Adding d/p/27_check_snmp_add_multiplier
  * [73742e9] Adding d/p/28_check_snmp_fix_regex_matches from upstream
  * [4f70a9d] Adding d/p/29_check_log_polish from upstream
  * [4f7eea1] Adding d/p/30_check_disk_clarify_usage_possibilites from upstream

 -- Jan Wagner <waja@cyconet.org>  Mon, 23 Jan 2023 14:40:09 +0000
