## monitoring-plugins 2.3.5

=== debian/changelog ===
monitoring-plugins (2.3.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:02:15 +1100

monitoring-plugins (2.3.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:01:23 +0000

monitoring-plugins (2.3.5-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 15 Feb 2024 22:39:01 -0800

monitoring-plugins (2.3.5-1) unstable; urgency=medium

  [ Jan Wagner ]
  * [a20810f] Adding d/p/36_check_smtp_adding_proxy_header from upstream
  * [0250eb9] Adding d/p/37_check_smtp_Adding_SNI from upstream
  * [1381a20] Remove left over d/p/31_checl_mailq_separate_submission_queue

  [ Bas Couwenberg ]
  * [7c86d65] Explicitly enable test-build-twice job.

  [ Jan Wagner ]
  * [de72f6f] New upstream version 2.3.4
  * [5956793] New upstream version 2.3.5
  * [f07f4db] Drop patches integrated by upstream

 -- Jan Wagner <waja@cyconet.org>  Wed, 18 Oct 2023 12:04:05 +0200

monitoring-plugins (2.3.3-6ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2030674). Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)
  * Dropped:
    - d/p/check_http_socket_timeouts.patch: fix check_http
      that was having constant socket timeouts.
      (LP #1875517)
      [Fixed in upstream release 2.3.3]

 -- Bryce Harrington <bryce@canonical.com>  Mon, 07 Aug 2023 12:44:25 -0700

monitoring-plugins (2.3.3-6) unstable; urgency=medium

  * [e1f9786] Adding d/p/14_check_curl_fix_SSL_with_multiple_IPs from upstream
  * [534d0c8] Adding d/p/30_check_radius_radcli_1.3.1_support from upstream
  * [bd72df2] Adding d/p/31_checl_mailq_separate_submission_queue from upstream
  * [567890c] Adding d/p/32_check_disk_add_ignore_missing from upstream
    (Closes: #516097)
  * [47b7589] Adding d/p/15_check_swap_remove_includes from upstream
  * [6f89be8] Adding d/p/33_check_procs_exclude-process from upstream
  * [983507a] Adding d/p/34_check_curl_fix_compare_warning from upstream
  * [9225592] Adding d/p/17_fix_exit_codes from upstream
  * [3a0d875] Adding d/p/18_check_mysql_fix_typo from upstream
  * [17688c7] Adding d/p/19_check_nwstat_fix_typo from upstream
  * [e0cfe77] Adding d/p/20_chech_nt_fix_encoding from upstream
  * [3da2163] Adding d/p/21_check_pgsql_extra_output from upstream
  * [7cbe4b6] Adding d/p/22_check_disk_avoid_mount from upstream
  * [01be8ce] d/p/series: Fix typo
  * [85d9e03] Adding d/p/23_check_mysql_fix_error_handling from upstream
  * [555d643] CI: Disable BLHC job
  * [85a271e] Adding d/p/24_check_disk_fix_SI_units from upstream
  * [02c716f] d/p/31_check_mailq_separate_submission_queue: Fix filename

 -- Jan Wagner <waja@cyconet.org>  Mon, 12 Jun 2023 21:46:29 +0200
