=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: monitoring-plugins
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
-Uploaders: Jan Wagner <waja@cyconet.org>, Alexander Wirt <formorer@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Uploaders: Jan Wagner <waja@cyconet.org>
+Build-Depends: debhelper-compat (= 13),
                libcurl4-openssl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
                libdbi-dev,
                libradcli-dev | libfreeradius-client-dev,
@@ -14,14 +13,17 @@
                libnet-snmp-perl,
                libpq-dev,
                libssl-dev,
+               libsystemd0,
+               libsystemd-dev,
                liburiparser-dev,
                mawk | awk,
                perl,
                procps
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/nagios-team/monitoring-plugins
+Vcs-Git: https://salsa.debian.org/nagios-team/monitoring-plugins.git
 Homepage: https://www.monitoring-plugins.org
-Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins
-Vcs-Git: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins.git
-Standards-Version: 4.6.0
+Rules-Requires-Root: binary-targets
 
 Package: monitoring-plugins
 Architecture: all
@@ -58,22 +60,24 @@
          ${shlibs:Depends}
 Recommends: libcap2-bin [linux-any]
 Suggests: icinga2
+Breaks: monitoring-plugins-standard (<< 2.4.0-3~)
+Replaces: monitoring-plugins-standard (<< 2.4.0-3~)
 Provides: nagios-plugins-basic
 Description: Plugins for nagios compatible monitoring systems (basic)
  Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
  contains the following plugins:
  .
   check_apt, check_by_ssh, check_clamd, check_cluster,
-  check_dhcp, check_disk, check_dummy, check_file_age,
-  check_ftp, check_host, check_http, check_icmp,
-  check_ide_smart, check_imap, check_ircd, check_jabber,
-  check_load, check_log, check_mrtg, check_mrtgtraf,
-  check_nagios, check_nntp, check_nntps, check_nt,
-  check_ntp, check_ntp_peer, check_ntp_time, check_nwstat,
-  check_overcr,  check_ping, check_pop, check_procs,
-  check_real, check_rta_multi, check_sensors, check_simap,
-  check_smtp, check_spop, check_ssh, check_ssmtp,
-  check_swap, check_tcp, check_time, check_udp,
+  check_curl, check_dhcp, check_disk, check_dummy,
+  check_file_age, check_ftp, check_host, check_http,
+  check_icmp, check_ide_smart, check_imap, check_ircd,
+  check_jabber, check_load, check_log, check_mrtg,
+  check_mrtgtraf, check_nagios, check_nntp, check_nntps,
+  check_nt, check_ntp, check_ntp_peer, check_ntp_time,
+  check_nwstat, check_overcr,  check_ping, check_pop,
+  check_procs, check_real, check_rta_multi, check_sensors,
+  check_simap, check_smtp, check_spop, check_ssh,
+  check_ssmtp, check_swap, check_tcp, check_time, check_udp,
   check_ups, check_users
  .
  This package provides a basic set of plugins with minimal external
