=== debian/rules ===
--- 
+++ 
@@ -28,15 +28,15 @@
 	check_rpc check_snmp check_wave check_fping check_game \
 	check_radius check_mysql check_mysql_query check_pgsql \
 	check_disk_smb check_ldap check_ldaps \
-	check_mailq check_curl \
+	check_mailq \
 	check_dns check_dig check_flexlm check_oracle \
 	check_dbi
 
 common_files:=negate urlize utils.pm utils.sh
 
-basic_plugin_cfgs:=apt dhcp disk dummy ftp http load mail news ntp ping procs \
+basic_plugin_cfgs:=apt dhcp disk dummy ftp http curl-http load mail news ntp ping procs \
 	real ssh tcp_udp telnet users
-std_plugin_cfgs:=breeze curl-http disk-smb dns flexlm fping games hppjd ifstatus ldap \
+std_plugin_cfgs:=breeze disk-smb dns flexlm fping games hppjd ifstatus ldap \
 	mailq mrtg mysql netware nt pgsql radius rpc-nfs snmp
 
 PATH = /bin:/sbin:/usr/bin:/usr/sbin
@@ -156,6 +156,8 @@
 	for p in ${std_plugins}; do \
 		mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/$$p ${NP_STD_DIR}/${NP_LIBEXEC}; \
 	done
+	# rename check_http to check_http_deprecated for making use of update-alternatives
+	mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/check_http ${NP_BASIC_DIR}/${NP_LIBEXEC}/check_http.deprecated
 	# slit out common files
 	for p in ${common_files}; do \
 		mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/$$p ${NP_COMMON_DIR}/${NP_LIBEXEC}; \
@@ -213,6 +215,7 @@
 	dh_link -a
 	dh_installexamples -a
 	dh_installman -a
+	dh_installalternatives -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a -X utils.pm
@@ -223,10 +226,3 @@
 	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars.in \
 		-dSuggests ${NP_STD_DIR}/${NP_LIBEXEC}/check_*
 	grep shlibs:Suggests debian/monitoring-plugins-standard.substvars.in \
-		| sed -e 's/shlibs:Suggests/shlibs:Recommends/' \
-		>> debian/monitoring-plugins-standard.substvars
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-
-binary: binary-indep binary-arch
